CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: DBI:
DBD::Informix-2005.02 on hp-ux bertha b.11.00 u

 



vis_punch
New User

Oct 4, 2006, 3:58 AM

Post #1 of 2 (3090 views)
DBD::Informix-2005.02 on hp-ux bertha b.11.00 u Can't Post

Hi,
I am trying to install DBD::Informix module on perl on hpux 11.23 machine. but i get this weird error ......

Set up gcc environment - 4.1.1
*** ExtUtils::AutoInstall version 0.61
*** Checking for dependencies...
[Core Features]
- DBI ...loaded. (1.52 >= 1.38)
[High Resolution Timing]
- Time::HiRes ...loaded. (1.86)
[POD Format Testing]
- Test::Pod ...loaded. (1.26)
*** ExtUtils::AutoInstall configuration finished.
Subroutine main::WriteMakefile redefined at /opt/perl_32/lib/site_perl/5.8.8/ExtUtils/AutoInstall.pm line 487.

Configuring IBM Informix Database Driver for Perl DBI Version 2005.02 (2005-07-29) (aka DBD::Informix)
You are using DBI version 1.52 and Perl version 5.008008
Remember to actually read the README file!

Perl: perl v5.008008 PA-RISC1.1-thread-multi dl_hpux.xs
System: hp-ux bertha b.11.00 u 9000800 136901587 unlimited-user license
Using INFORMIXDIR=/app/informix/product/7.31 and ESQL/C compiler esql
Using INFORMIX-ESQL Version 9.40.UC2 from /app/informix/product/7.31

Please upgrade to a more recent version of ClientSDK.
DBD::Informix will probably work, but that is not guaranteed.

Beware: DBD::Informix is not yet aware of all the new IUS data types.

Assert macro will be disabled!

lib/DBD/Informix/Defaults.pm written OK
esqlvrsn.h written OK
esqlinfo.h written OK

Testing whether your Informix test environment will work...
gcc: +Ofastaccess: No such file or directory
gcc: +DS2.0: No such file or directory
gcc: +DA1.1: No such file or directory
gcc: no input files
Failed to compile esqltest.ec to esqltest.o


Please help.

Thnking you.


davorg
Thaumaturge / Moderator

Oct 5, 2006, 6:16 AM

Post #2 of 2 (3086 views)
Re: [vis_punch] DBD::Informix-2005.02 on hp-ux bertha b.11.00 u [In reply to] Can't Post

I know nothing at all about Informix or DBD::Informix, but this:


Quote
Please upgrade to a more recent version of ClientSDK.


is probably something that you should look at more closely.

--
Dave Cross, Perl Hacker, Trainer and Writer
http://www.dave.org.uk/
Get more help at Perl Monks

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives